import { Platform, NavController } from "ionic-angular";
import { GoogleLocationApiService } from '@justbe-angular/jb-google-location-api';
import { LoadingService } from "@justbe-ionic-angular/jb-loading";
import { PouchService } from "@justbe-angular/jb-pouch";
import { StoreService } from "@justbe-angular/jb-store";
export declare class LocationPickerPage {
    private plt;
    private googleLocationApiService;
    private loading;
    private pouchService;
    private storeService;
    private navCtrl;
    private nearByLocations;
    private recentLocations;
    private lat;
    private lng;
    private predictions;
    private spinner;
    private searchText;
    constructor(plt: Platform, googleLocationApiService: GoogleLocationApiService, loading: LoadingService, pouchService: PouchService, storeService: StoreService, navCtrl: NavController);
    private setRecentLocations();
    private getGeocodes();
    private getBrowserGeocodes();
    private getNativeGeocodes();
    private setNearbyLocations(lat, lng, accuracy);
    inputChanged(searchText: any): void;
    onSearchResultLocationSelect(location: any): void;
    onCurrentLocationSelect(location: any): void;
    onRecentLocationSelect(location: any): void;
    clearSearchBox(): void;
    private getJson(location);
    private setLocationToPouch(json);
}
